import 'package:krow/core/data/models/staff/staff.dart';
import 'package:krow/core/data/models/staff_role.dart';

abstract class ProfileRepository {


  Stream<Staff> getUserProfile();

  Future<List<StaffRole>?> getCachedProfileRoles();

  Future<void> cacheProfileRoles(List<StaffRole> roles);

  Future<List<StaffRole>> getUserProfileRoles();
}